import { ElementRef, Renderer2 } from '@angular/core';
import { MousePosition } from '../models';
import { BasePath } from './base-path';
export declare class Rect extends BasePath {
    protected renderer: Renderer2;
    protected parent: ElementRef;
    protected fillColor: string;
    protected strokeColor: string;
    protected handlerFillColor: string;
    protected handlerStrokeColor: string;
    static NAME: string;
    constructor(renderer: Renderer2, parent: ElementRef, fillColor: string, strokeColor: string, handlerFillColor: string, handlerStrokeColor: string, points: number[][], forcedAspectRatio: number, keepInsideContainer: boolean);
    onMousedown(event: MouseEvent, mousePos: MousePosition): void;
    onMouseup(event: MouseEvent, mousePos: MousePosition, allowDelete?: boolean): string;
    onResizePath(event: MouseEvent, mousePos: MousePosition): void;
    draw(): void;
    protected _getName(): string;
    protected _onInit(): void;
}
